version: '3.6'

services:
  postgres:
    image: postgres:12.4
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
      - POSTGRES_DB=scrap
      - ALLOW_IP_RANGE=0.0.0.0/0
    ports:
    - 127.0.0.1:65432:5432

  database:
    build: ./database
    environment:
      - DATABASE_URL=postgres://postgres:postgres@postgres/scrap
    command: upgrade head

  service:
    build: ./service
    environment:
      - DATABASE_URL=postgres://postgres:postgres@postgres/scrap

  bdd:
    build: ./bdd
    environment:
      - DATABASE_HOST=postgres://postgres:postgres@postgres
      - DATABASE_NAME=scrap
      - SERVICE_URL=http://service:8004
    command: behave features

  web:
    build:
      context: ./web
      args:
        - REACT_APP_SERVICE_URL

  router:
    build:
      context: ./router
    ports:
      - 0.0.0.0:443:443
      - 0.0.0.0:80:80
